# This is the spec file for drainBoss

%define _topdir	 	/home/sjones/rpm/drainBoss
%define name		drainBoss 
%define version 	1.3
%define release		1
%define buildroot %{_topdir}/%{name}-%{version}-root

BuildRoot:	%{buildroot}
Summary: 		GNU drainBoss
License: 		GPL
Name: 			%{name}
Version: 		%{version}
Release: 		%{release}
Source: 		%{name}-%{version}.tar.gz
Prefix: 		/usr
Group: 			Grid Tools

%description
DrainBoss is used to drain slots in a multicore cluster.

%prep
%setup -q

%build

echo Nothing to do

%install
mkdir -p  $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/root/scripts
mkdir -p  $RPM_BUILD_ROOT/etc/init.d
cp drainboss $RPM_BUILD_ROOT/etc/init.d
cp drainBoss.py $RPM_BUILD_ROOT/root/scripts
cp runDrainBoss.sh $RPM_BUILD_ROOT/root/scripts

%post
chkconfig --add drainboss
chkconfig drainboss on

%files
%defattr(-,root,root)
/root/scripts/drainBoss.py
/root/scripts/runDrainBoss.sh
/etc/init.d/drainboss

